## mx4j.tools.adaptor.interceptor
Interface Interceptor

All Superinterfaces:
  Invocable

All Known Implementing Classes:
  AdaptorInterceptor

public interface Interceptor
extends Invocable

The interceptor interface for JMX adaptors.

Version:
  $Revision: 1.3 $

Method Summary
`java.lang.String` `getType()` Returns the type of this interceptor
`void` `setNext(Interceptor interceptor)` Sets the next interceptor in the chain

Methods inherited from interface mx4j.tools.adaptor.interceptor.Invocable
`invoke`

Method Detail

### getType

    public java.lang.String getType()

  Returns the type of this interceptor

### setNext

    public void setNext(Interceptor interceptor)

  Sets the next interceptor in the chain

Copyright © 2001-2003 MX4J Team. All Rights Reserved.